//Source file: AbortMultipleUserInteractionsEvent.java
//Date: June 2006
//User Interaction for 3GPP TS 29.198-05 V6.5.0

package org.csapi.jr.se.ui;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the abortMultipleUserInteractions() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class AbortMultipleUserInteractionsEvent extends java.util.EventObject {

    /**
     * Constructor for the AbortMultipleUserInteractionsEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public AbortMultipleUserInteractionsEvent(java.lang.Object source,
        org.csapi.jr.se.ui.UI[] userInteractionSet) {

        super(source);
      this.userInteractionSet = userInteractionSet;
 
    }

    org.csapi.jr.se.ui.UI[] userInteractionSet;

    /**
     *  This method is used to retrieve the parameter value of 'userInteractionSet' passed up
     *  from the Gateway in it's call to the abortMultipleUserInteractions() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'userInteractionSet' used on creation of this event.
     */
    public org.csapi.jr.se.ui.UI[] getUserInteractionSet() {

        return this.userInteractionSet;
    }
       
}

