//Source file: AdminRelatedDeleteMessage.java
//Date: June 2006
//User Interaction for 3GPP TS 29.198-05 V6.5.0

package org.csapi.jr.se.ui;

/**
 * This interface represents a AdminRelatedDeleteMessage activity object.<BR>
 *
 */
public interface AdminRelatedDeleteMessage extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the UIAdminManager responsible for creation of the AdminRelatedDeleteMessage.
     *
     * @return  A reference to the UIAdminManager responsible for creation of the AdminRelatedDeleteMessage.
     */
    org.csapi.jr.se.ui.UIAdminManager getUIAdminManager();

    /**
     * Adds a AdminRelatedDeleteMessageListener which is interested in events generated by the AdminRelatedDeleteMessage.
     *
     * @param  adminRelatedDeleteMessageListener  A reference to the AdminRelatedDeleteMessageListener which is to be added as
     *        a listener.
     */
    void addAdminRelatedDeleteMessageListener(org.csapi.jr.se.ui.AdminRelatedDeleteMessageListener adminRelatedDeleteMessageListener);

    /**
     * Removes a AdminRelatedDeleteMessageListener which is no longer interested events generated by the AdminRelatedDeleteMessage.
     *
     * @param  adminRelatedDeleteMessageListener  A reference to the AdminRelatedDeleteMessageListener which is to be removed as
     *        a listener.
     */
    void removeAdminRelatedDeleteMessageListener(org.csapi.jr.se.ui.AdminRelatedDeleteMessageListener adminRelatedDeleteMessageListener);

    /**
     * Invokes the deleteMessageReq() method on the Parlay Gateway.
     */
    void deleteMessageReq(
           int                             messageID)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.ui.IllegalIdException;
}
