//Source file: AdminRelatedGetMessage.java
//Date: June 2006
//User Interaction for 3GPP TS 29.198-05 V6.5.0

package org.csapi.jr.se.ui;

/**
 * This interface represents a AdminRelatedGetMessage activity object.<BR>
 *
 */
public interface AdminRelatedGetMessage extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the UIAdminManager responsible for creation of the AdminRelatedGetMessage.
     *
     * @return  A reference to the UIAdminManager responsible for creation of the AdminRelatedGetMessage.
     */
    org.csapi.jr.se.ui.UIAdminManager getUIAdminManager();

    /**
     * Adds a AdminRelatedGetMessageListener which is interested in events generated by the AdminRelatedGetMessage.
     *
     * @param  adminRelatedGetMessageListener  A reference to the AdminRelatedGetMessageListener which is to be added as
     *        a listener.
     */
    void addAdminRelatedGetMessageListener(org.csapi.jr.se.ui.AdminRelatedGetMessageListener adminRelatedGetMessageListener);

    /**
     * Removes a AdminRelatedGetMessageListener which is no longer interested events generated by the AdminRelatedGetMessage.
     *
     * @param  adminRelatedGetMessageListener  A reference to the AdminRelatedGetMessageListener which is to be removed as
     *        a listener.
     */
    void removeAdminRelatedGetMessageListener(org.csapi.jr.se.ui.AdminRelatedGetMessageListener adminRelatedGetMessageListener);

    /**
     * Invokes the getMessageReq() method on the Parlay Gateway.
     */
    void getMessageReq(
           int                             messageID)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.InvalidNetworkStateException,
       org.csapi.jr.se.ui.IllegalIdException;
}
