//Source file: AdminRelatedGetMessageListResEvent.java
//Date: June 2006
//User Interaction for 3GPP TS 29.198-05 V6.5.0

package org.csapi.jr.se.ui;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the getMessageListRes() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class AdminRelatedGetMessageListResEvent extends java.util.EventObject {

    /**
     * Constructor for the AdminRelatedGetMessageListResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public AdminRelatedGetMessageListResEvent(java.lang.Object source,
        int[]                           messageIDList,
        boolean                         _final) {

        super(source);
      this.messageIDList = messageIDList;
      this._final = _final;
 
    }

    int[]                           messageIDList;

    /**
     *  This method is used to retrieve the parameter value of 'messageIDList' passed up
     *  from the Gateway in it's call to the getMessageListRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'messageIDList' used on creation of this event.
     */
    public int[] getMessageIDList() {

        return this.messageIDList;
    }
       
    boolean                         _final;

    /**
     *  This method is used to retrieve the parameter value of 'final' passed up
     *  from the Gateway in it's call to the getMessageListRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'final' used on creation of this event.
     */
    public boolean get_final() {

        return this._final;
    }
       
}

