//Source file: AdminRelatedGetMessageListener.java
//Date: June 2006
//User Interaction for 3GPP TS 29.198-05 V6.5.0

package org.csapi.jr.se.ui;

/**
 * This interface is to be implemented for receiving events issued by the GetMessage activity object.<BR>
 *
 */
public interface AdminRelatedGetMessageListener extends java.util.EventListener {

    /**
     * Called due to a Gateway initiated call to the adminRelatedGetMessageErr() method on
     * the callback interface.
     *
     * @param  adminRelatedGetMessageErrEvent  Reference to a AdminRelatedGetMessageErrEvent event
     *        emmited from the impl or activity object.
     */
    void onAdminRelatedGetMessageErrEvent(org.csapi.jr.se.ui.AdminRelatedGetMessageErrEvent adminRelatedGetMessageErrEvent);
    
    /**
     * Called due to a Gateway initiated call to the adminRelatedGetMessageRes() method on
     * the callback interface.
     *
     * @param  adminRelatedGetMessageResEvent  Reference to a AdminRelatedGetMessageResEvent event
     *        emmited from the impl or activity object.
     */
    void onAdminRelatedGetMessageResEvent(org.csapi.jr.se.ui.AdminRelatedGetMessageResEvent adminRelatedGetMessageResEvent);
    

}
