//Source file: AdminRelatedPutMessage.java
//Date: June 2006
//User Interaction for 3GPP TS 29.198-05 V6.5.0

package org.csapi.jr.se.ui;

/**
 * This interface represents a AdminRelatedPutMessage activity object.<BR>
 *
 */
public interface AdminRelatedPutMessage extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the UIAdminManager responsible for creation of the AdminRelatedPutMessage.
     *
     * @return  A reference to the UIAdminManager responsible for creation of the AdminRelatedPutMessage.
     */
    org.csapi.jr.se.ui.UIAdminManager getUIAdminManager();

    /**
     * Adds a AdminRelatedPutMessageListener which is interested in events generated by the AdminRelatedPutMessage.
     *
     * @param  adminRelatedPutMessageListener  A reference to the AdminRelatedPutMessageListener which is to be added as
     *        a listener.
     */
    void addAdminRelatedPutMessageListener(org.csapi.jr.se.ui.AdminRelatedPutMessageListener adminRelatedPutMessageListener);

    /**
     * Removes a AdminRelatedPutMessageListener which is no longer interested events generated by the AdminRelatedPutMessage.
     *
     * @param  adminRelatedPutMessageListener  A reference to the AdminRelatedPutMessageListener which is to be removed as
     *        a listener.
     */
    void removeAdminRelatedPutMessageListener(org.csapi.jr.se.ui.AdminRelatedPutMessageListener adminRelatedPutMessageListener);

    /**
     * Invokes the putMessageReq() method on the Parlay Gateway.
     */
    void putMessageReq(
           org.csapi.jr.se.ui.UIInfo info)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.ui.IllegalIdException;
}
