//Source file: GetMessage.java
//Date: June 2006
//User Interaction for 3GPP TS 29.198-05 V6.5.0

package org.csapi.jr.se.ui;

/**
 * This interface represents a GetMessage activity object.<BR>
 *
 */
public interface GetMessage extends org.csapi.jr.se.Activity {

    /**
     * Returns a reference to the UICall responsible for creation of the GetMessage.
     *
     * @return  A reference to the UICall responsible for creation of the GetMessage.
     */
    org.csapi.jr.se.ui.UICall getUICall();

    /**
     * Adds a GetMessageListener which is interested in events generated by the GetMessage.
     *
     * @param  getMessageListener  A reference to the GetMessageListener which is to be added as
     *        a listener.
     */
    void addGetMessageListener(org.csapi.jr.se.ui.GetMessageListener getMessageListener);

    /**
     * Removes a GetMessageListener which is no longer interested events generated by the GetMessage.
     *
     * @param  getMessageListener  A reference to the GetMessageListener which is to be removed as
     *        a listener.
     */
    void removeGetMessageListener(org.csapi.jr.se.ui.GetMessageListener getMessageListener);

    /**
     * Invokes the getMessageReq() method on the Parlay Gateway.
     */
    void getMessageReq(
           int                             messageID)
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.InvalidNetworkStateException,
       org.csapi.jr.se.ui.IllegalIdException;

    /**
     * Invokes the abortActionReq() method on the Parlay Gateway.
     */
    void abortActionReq()
      throws org.csapi.jr.se.PlatformException,
       java.lang.IllegalStateException,
       org.csapi.jr.se.CommonException;
}
