//Source file: ReportEventNotificationEvent.java
//Date: June 2006
//User Interaction for 3GPP TS 29.198-05 V6.5.0

package org.csapi.jr.se.ui;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the reportEventNotification() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class ReportEventNotificationEvent extends java.util.EventObject {

    /**
     * Constructor for the ReportEventNotificationEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public ReportEventNotificationEvent(java.lang.Object source,
        org.csapi.jr.se.ui.UI interfaceRef,
        org.csapi.jr.se.ui.UIEventNotificationInfo eventNotificationInfo) {

        super(source);
        this.uI = interfaceRef;
      this.eventNotificationInfo = eventNotificationInfo;
 
    }

    org.csapi.jr.se.ui.UI uI = null;

    /**
     *  This method is used to retrieve the UI, associated with this event.
     *
     * @return    The UI associated with this event.<BR>
     *
     */
    public org.csapi.jr.se.ui.UI getUI() {

        return this.uI;
    }

    org.csapi.jr.se.ui.UIEventNotificationInfo eventNotificationInfo;

    /**
     *  This method is used to retrieve the parameter value of 'eventNotificationInfo' passed up
     *  from the Gateway in it's call to the reportEventNotification() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'eventNotificationInfo' used on creation of this event.
     */
    public org.csapi.jr.se.ui.UIEventNotificationInfo getEventNotificationInfo() {

        return this.eventNotificationInfo;
    }
       
}

