//Source file: UIAdminManager.java
//Date: June 2006
//User Interaction for 3GPP TS 29.198-05 V6.5.0

package org.csapi.jr.se.ui;

/**
 * This interface represents a UIAdminManager.<BR>
 *
 */
public interface UIAdminManager extends org.csapi.jr.se.Service {

    /**
     * Adds a UIAdminManagerListener which is interested in events generated by the UIAdminManager.
     *
     * @param  uIAdminManagerListener  A reference to the UIAdminManagerListener which is to be added as
     *         a listener.
     */
    void addUIAdminManagerListener(org.csapi.jr.se.ui.UIAdminManagerListener uIAdminManagerListener);

    /**
     * Removes a UIAdminManagerListener which is no longer interested in events generated by the UIAdminManager.
     *
     * @param  uIAdminManagerListener  A reference to the UIAdminManagerListener which is to be removed as
     *         a listener.
     */
    void removeUIAdminManagerListener(org.csapi.jr.se.ui.UIAdminManagerListener uIAdminManagerListener);

    /**
     * Returns a reference to the UIManager responsible for creation of the UIAdminManager.
     *
     * @return  A reference to the UIManager responsible for creation of the UIAdminManager.
     */
    org.csapi.jr.se.ui.UIManager getUIManager();

    /**
     * Creates a AdminRelatedDeleteMessage object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the AdminRelatedDeleteMessage interface.
     */
    org.csapi.jr.se.ui.AdminRelatedDeleteMessage createAdminRelatedDeleteMessage();

    /**
     * Creates a AdminRelatedGetMessageList object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the AdminRelatedGetMessageList interface.
     */
    org.csapi.jr.se.ui.AdminRelatedGetMessageList createAdminRelatedGetMessageList();

    /**
     * Creates a AdminRelatedGetMessage object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the AdminRelatedGetMessage interface.
     */
    org.csapi.jr.se.ui.AdminRelatedGetMessage createAdminRelatedGetMessage();

    /**
     * Creates a AdminRelatedPutMessage object and returns a reference to the interface used to gain access
     * to it's methods.
     *
     * @return  A reference to the AdminRelatedPutMessage interface.
     */
    org.csapi.jr.se.ui.AdminRelatedPutMessage createAdminRelatedPutMessage();

}
