//Source file: UIEventCriteriaResult.java
//Date: June 2006
//User Interaction for 3GPP TS 29.198-05 V6.5.0

package org.csapi.jr.se.ui;

/**
 * Defines a sequence of data elements that specify a requested event notification criteria with the associated assignmentID.
 * 
 */
public final class UIEventCriteriaResult implements java.io.Serializable {

    private org.csapi.jr.se.ui.UIEventCriteria eventCriteria;
    private int assignmentID;

    /**
     * Creates a new UIEventCriteriaResult instance.
     */
    public UIEventCriteriaResult () {}

    /**
     * Creates a new UIEventCriteriaResult instance.
     * @param _eventCriteria   The event criteria that were specified by the application.
     * @param _assignmentID   The associated assignmentID. This can be used to disable the notification.
     */
    public UIEventCriteriaResult (org.csapi.jr.se.ui.UIEventCriteria _eventCriteria, int _assignmentID) {

        this.eventCriteria = _eventCriteria;
        this.assignmentID = _assignmentID;
    }

    /**
     * This method returns a eventCriteria.
     * 
     * @return a org.csapi.jr.se.ui.UIEventCriteria value
     */
    public org.csapi.jr.se.ui.UIEventCriteria getEventCriteria() {
        return eventCriteria;
    }

    /**
     * This method returns a assignmentID.
     * 
     * @return a int value
     */
    public int getAssignmentID() {
        return assignmentID;
    }


    /**
     * This method sets a eventCriteria.
     */ 
    public void setEventCriteria(org.csapi.jr.se.ui.UIEventCriteria eventCriteria) {
        this.eventCriteria = eventCriteria;
    }

    /**
     * This method sets a assignmentID.
     */ 
    public void setAssignmentID(int assignmentID) {
        this.assignmentID = assignmentID;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof UIEventCriteriaResult)) {
            return false;
        } 
        UIEventCriteriaResult uIEventCriteriaResult = (UIEventCriteriaResult) o;
        if ((this.eventCriteria != null) && (uIEventCriteriaResult.eventCriteria != null)) {
            if(!(this.eventCriteria.equals(uIEventCriteriaResult.eventCriteria))) {
                return false;
            }
        }
        if(!(this.assignmentID == uIEventCriteriaResult.assignmentID)) {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // UIEventCriteriaResult

