//Source file: UISynthesisGender.java
//Date: June 2006
//User Interaction for 3GPP TS 29.198-05 V6.5.0

package org.csapi.jr.se.ui;

/**
 * Defines the UI reports if a response was requested.
 *
 */
public final class UISynthesisGender implements java.io.Serializable {

    private int _value;
    private static int _size = 2;
    private static UISynthesisGender[] _array = new UISynthesisGender[_size];

    /**
     * Private constructor used internally to construct static objects 
     */
    private UISynthesisGender(int value) {
        _value = value;
        _array[_value] = this;
    }

    /**
     * Male
     */
    public static final int _UI_GENDER_MALE =  0;

    /**
     * Male
     */
    public static final UISynthesisGender UI_GENDER_MALE = new UISynthesisGender(_UI_GENDER_MALE);

    /**
     * Female
     */
    public static final int _UI_GENDER_FEMALE =  1;

    /**
     * Female
     */
    public static final UISynthesisGender UI_GENDER_FEMALE = new UISynthesisGender(_UI_GENDER_FEMALE);


    /**
     * Method allows class to replace/resolve the object read from the stream before it 
     * is returned to the caller. By implementing this method, a class can directly control
     * the types and instances of its own instances being deserialized.
     *
     * @return the resolved UISynthesisGender object 
     */
    private Object readResolve() throws java.io.ObjectStreamException {
        return _array[_value];
    }

    /**
     * Number representing enum type
     *
     * @return int number representing type of object, this is defined within the class
     */
    public int getValue() {
        return _value;
    }

    /**
     * getValueText method, overrides the getValueText() method in class java.lang.Object
     *
     * @return String  The stringified version of the UISynthesisGender object
     */
    public String getValueText() {
        switch (_value) {
            case _UI_GENDER_MALE:
                return "UI_GENDER_MALE";
            case _UI_GENDER_FEMALE:
                return "UI_GENDER_FEMALE";
            default:
                return "ERROR";
        }
    }

    /**
     * Accepts values in the range of 0 to 1
     *
     * @param value number representing type of object, this is defined within the class
     * @throws org.csapi.jr.se.InvalidEnumValueException thrown if invalid value is passed into method
     */
    public static UISynthesisGender getObject(int value) throws org.csapi.jr.se.InvalidEnumValueException {
        if(value >= 0 && value < _size) {
            return _array[value];
        } else {
            throw new org.csapi.jr.se.InvalidEnumValueException("value [" + value +" ] out of range");
        }
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof UISynthesisGender)) {
            return false;
        }
        UISynthesisGender uISynthesisGender = (UISynthesisGender) o; 
        if(!(this.getValue() == uISynthesisGender.getValue())) {
            return false;
        }
        if (this.hashCode() != uISynthesisGender.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // UISynthesisGender

