//Source file: UserInteractionAbortedEvent.java
//Date: June 2006
//User Interaction for 3GPP TS 29.198-05 V6.5.0

package org.csapi.jr.se.ui;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the userInteractionAborted() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class UserInteractionAbortedEvent extends java.util.EventObject {

    /**
     * Constructor for the UserInteractionAbortedEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public UserInteractionAbortedEvent(java.lang.Object source,
        org.csapi.jr.se.ui.UI interfaceRef) {

        super(source);
        this.uI = interfaceRef;
 
    }

    org.csapi.jr.se.ui.UI uI = null;

    /**
     *  This method is used to retrieve the UI, associated with this event.
     *
     * @return    The UI associated with this event.<BR>
     *
     */
    public org.csapi.jr.se.ui.UI getUI() {

        return this.uI;
    }

}

